Identity VerificationKenyaKenya Phone Verification POST
POST
/api/v1/verification/api/kenya_phone/

Verify Kenyan phone number

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/verification/api/kenya_phone/" \  -H "Content-Type: application/json" \  -d '{    "number": "e.g. 254769724931"  }'
{  "data": {    "status": "Active",    "carrier": "Safaricom",    "country": "Kenya",    "line_type": "Mobile",    "country_code": "KE",    "phone_number": "254769724931"  },  "status": true,  "response_code": "00",  "message": "string",  "billing_info": {    "was_charged": true,    "amount": "string",    "currency": "string"  }}
Response Codes & Statuses: Prembly API responses include custom response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).
View Response Codes Guide
Prembly Slack Community

Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.

Join Slack Channel